.style-switcher 
{
    position: fixed;
    right: 0;
    top: 20px;
    padding: 15px;
    width: 200px;
    border: 1px solid var(--bg-black-50);
    background: var(--bg-black-100);
    z-index: 101;
    border-radius: 5px;
    transition: all 0.3s ease;
    transform: translateX(100%);
}

.style-switcher.open
{
    transform: translateX(-25px);
}
 

.style-switcher .s-icon
{
    position: absolute;
    height: 40px;
    width: 40px;
    text-align: center;
    font-size: 20px;
    background: var(--bg-black-100);
    color: var(--text-black-900);
    right: 100%;
    border: 1px solid var(--bg-black-50);
    margin-right: 25px;
    cursor: pointer;
    transition: all 0.3s ease;
    border-radius: 50%;
}

.style-switcher .s-icon i 
{
    line-height: 40px;
}

.style-switcher .style-switcher-toggler
{
    top: 0;
}

.style-switcher .day-night
{
    top : 55px;
}

.style-switcher .s-icon 
{
    margin: 0 0 10px;
    color: var(--text-black-700);
    font-size: 16px;
    font-weight: 600px;
    text-transform: capitalize;
}

.style-switcher .colors
{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.style-switcher .colors span
{
    display: inline-block;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    border: 1px solid rgba(255, 0, 0, 0);
}

.style-switcher .color-1
{
    background:  #ff5000;
}

.style-switcher .color-2
{
    background:  #ee9b01;
}
.style-switcher .color-3
{
    background:  #fedcdb;
}
.style-switcher .color-4
{
    background:  #3e7edb;
}
.style-switcher .color-5
{
    background:  #fda8a7;
}